PUTC_UNLOCKED(3)

NAME
putc_unlocked, putchar_unlocked - put next character from stream, efficiently

SYNOPSIS
#include <stdio.h>
int
putc_unlocked(int c, FILE *stream);
int
putchar_unlocked(int c);

DESCRIPTION
The putc_unlocked() and putchar_unlocked() functions are equivalent to their locked counterparts, putc(3) and putchar(3). However, putc_unlocked() and putchar_unlocked() assume that the relevant stream has either been previous locked with flockfile(3), or that it will not be accessed by any other thread.

RETURN VALUES
The return values are as described for putc(3) and putchar(3).

SEE ALSO
putc(3), putchar(3)

STANDARDS
putc_unlocked() and putchar_unlocked() conform to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.